<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net7.0;net8.0</TargetFrameworks>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PackageId>DigitalData.Core.Security</PackageId>
    <Version>1.2.3</Version>
    <Company>Digital Data GmbH</Company>
    <Product>Digital Data GmbH</Product>
    <Description>This package provides RSA-based security functionalities as an implementation of the DigitalData.Core.Abstractions.Security library. It supports robust encryption and decryption operations, as well as JWT signing and validation for secure authentication and data integrity.</Description>
    <Authors>Digital Data GmbH</Authors>
    <Copyright>Copyright 2025</Copyright>
    <PackageProjectUrl></PackageProjectUrl>
    <PackageIcon>core_icon.png</PackageIcon>
    <RepositoryUrl>http://git.dd:3000/AppStd/WebCoreModules.git</RepositoryUrl>
    <PackageTags>digital data core security</PackageTags>
    <AssemblyVersion>1.2.3</AssemblyVersion>
    <FileVersion>1.2.3</FileVersion>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\..\nuget-package-icons\core_icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>
	
  <ItemGroup Condition="'$(TargetFramework)' == 'net7.0'">
    <PackageReference Include="AutoMapper" Version="13.0.1" />
    <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="7.0.0" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="7.0.0" />
	<PackageReference Include="Microsoft.Extensions.Logging" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net8.0'">
    <PackageReference Include="AutoMapper" Version="14.0.0" />
    <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="8.0.1" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="8.0.0" />
	<PackageReference Include="Microsoft.Extensions.Logging" Version="8.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.Core.Abstractions.Security\DigitalData.Core.Abstractions.Security.csproj" />
  </ItemGroup>

</Project>
